/*
 * Progetto: TestLanguage
 * File: TFormLanguage.prg
// Descrizione: Language functions tester.
// Autore: Giuseppe Bogetti - orangesocks@tiscali.it
 * Data: 24/09/2018
 */

#include "Xailer.ch"

CLASS TFormLanguage FROM TForm

   COMPONENT oBrwLanguages
   COMPONENT oLblLanguages
   COMPONENT oLblCurrent
   COMPONENT oBtnClose

   METHOD CreateForm()
   METHOD FormInitialize( oSender )
   METHOD BtnCloseClick( oSender )

ENDCLASS

#include "TFormLanguage.xfm"

//------------------------------------------------------------------------------

METHOD FormInitialize( oSender ) CLASS TFormLanguage
   LOCAL aTemp                AS ARRAY
   LOCAL cText                AS STRING
   LOCAL nPos, nLng           AS NUMERIC

   aTemp                := GetLanguages()
   ::oBrwLanguages:SetArray( aTemp )

   nLng                 := GetWindowsLanguage()
   nPos                 := AScan( aTemp, {|a| ( a[ 1 ] == nLng ) } )
   cText                := ( "GetWindowsLanguage() returns" + CRLF + "<b>" + AllTrim( Str( nLng ) ) + "<b>" +           ;
                             IIF( ( nPos > 0 ), ( " " + aTemp[ nPos, 2 ] ), " not recognized" ) )
   ::oLblCurrent:cText  := cText

RETURN Nil

//------------------------------------------------------------------------------

METHOD BtnCloseClick( oSender ) CLASS TFormLanguage
   ::Close()
RETURN Nil

//------------------------------------------------------------------------------
